| Flutter Impeller |

Public Member Functions | List of all members
impeller::PathTransformer Class Reference

`#include <path_source.h>`

Inheritance diagram for impeller::PathTransformer:

## Public Member Functions
| PathTransformer (PathReceiver &receiver[[clang::lifetimebound]], const impeller::Matrix &matrix[[clang::lifetimebound]])
void | MoveTo (const Point &p2, bool will_be_closed) override
void | LineTo (const Point &p2) override
void | QuadTo (const Point &cp, const Point &p2) override
bool | ConicTo (const Point &cp, const Point &p2, Scalar weight) override
void | CubicTo (const Point &cp1, const Point &cp2, const Point &p2) override
void | Close () override
Public Member Functions inherited from impeller::PathReceiver
virtual | ~PathReceiver ()=default

## Detailed Description

A utility class to receive path segments from a source, transform them by a matrix, and pass them along to a subsequent receiver.

Definition at line 114 of file path_source.h.

## Constructor & Destructor Documentation

## ◆ PathTransformer()

impeller::PathTransformer::PathTransformer | ( | PathReceiver &receiver] | [[clang::lifetimebound],
|  | const impeller::Matrix &matrix] | [[clang::lifetimebound]
| ) |  |
| inline

Definition at line 116 of file path_source.h.

118 : receiver_(receiver), matrix_(matrix) {}

## Member Function Documentation

## ◆ Close()

void impeller::PathTransformer::Close | ( |  | ) |
| inlineoverridevirtual

Implements impeller::PathReceiver.

Definition at line 138 of file path_source.h.

138 { receiver_.Close(); }
impeller::PathReceiver::Close
virtual void Close()=0

References impeller::PathReceiver::Close().

Referenced by impeller::testing::TEST().

## ◆ ConicTo()

bool impeller::PathTransformer::ConicTo | ( | const Point & | cp,
|  | const Point & | p2,
|  | Scalar | weight
| ) |  |
| inlineoverridevirtual

Reimplemented from impeller::PathReceiver.

Definition at line 130 of file path_source.h.

130 {
131 return receiver_.ConicTo(matrix_ * cp, matrix_ * p2, weight);
132 }
impeller::PathReceiver::ConicTo
virtual bool ConicTo(const Point &cp, const Point &p2, Scalar weight)
Definition: path_source.h:48

References impeller::PathReceiver::ConicTo().

Referenced by impeller::testing::TEST().

## ◆ CubicTo()

void impeller::PathTransformer::CubicTo | ( | const Point & | cp1,
|  | const Point & | cp2,
|  | const Point & | p2
| ) |  |
| inlineoverridevirtual

Implements impeller::PathReceiver.

Definition at line 134 of file path_source.h.

134 {
135 receiver_.CubicTo(matrix_ * cp1, matrix_ * cp2, matrix_ * p2);
136 }
impeller::PathReceiver::CubicTo
virtual void CubicTo(const Point &cp1, const Point &cp2, const Point &p2)=0

References impeller::PathReceiver::CubicTo().

Referenced by impeller::testing::TEST().

## ◆ LineTo()

void impeller::PathTransformer::LineTo | ( | const Point & | p2 | ) |
| inlineoverridevirtual

Implements impeller::PathReceiver.

Definition at line 124 of file path_source.h.

124 { receiver_.LineTo(matrix_ * p2); }
impeller::PathReceiver::LineTo
virtual void LineTo(const Point &p2)=0

References impeller::PathReceiver::LineTo().

Referenced by impeller::testing::TEST().

## ◆ MoveTo()

void impeller::PathTransformer::MoveTo | ( | const Point & | p2,
|  | bool | will_be_closed
| ) |  |
| inlineoverridevirtual

Implements impeller::PathReceiver.

Definition at line 120 of file path_source.h.

120 {
121 receiver_.MoveTo(matrix_ * p2, will_be_closed);
122 }
impeller::PathReceiver::MoveTo
virtual void MoveTo(const Point &p2, bool will_be_closed)=0

References impeller::PathReceiver::MoveTo().

Referenced by impeller::testing::TEST().

## ◆ QuadTo()

void impeller::PathTransformer::QuadTo | ( | const Point & | cp,
|  | const Point & | p2
| ) |  |
| inlineoverridevirtual

Implements impeller::PathReceiver.

Definition at line 126 of file path_source.h.

126 {
127 receiver_.QuadTo(matrix_ * cp, matrix_ * p2);
128 }
impeller::PathReceiver::QuadTo
virtual void QuadTo(const Point &cp, const Point &p2)=0

References impeller::PathReceiver::QuadTo().

Referenced by impeller::testing::TEST().

The documentation for this class was generated from the following file:

- impeller/geometry/path_source.h